Analytics · Inbox Analytics

List conversation analytics

Returns conversation analytics, one page at a time.

GEThttps://api.pozy.ai/v1/analytics/inbox/conversations
listInboxConversationAnalytics

Guide: Inbox analytics

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
fromDaterequiredstring (date)
toDatestring (date)
profileIdstring
platformstring
accountIdstring
sourcestring
limitintegerDefault 501 to 100
pageintegerDefault 1At least 1
sortBystringOne of lastMessageAt, firstMessageAt, totalMessages, received, sent, read, failedDefault lastMessageAt
orderstringOne of asc, descDefault desc

Example

curl -X GET "https://api.pozy.ai/v1/analytics/inbox/conversations?fromDate=2026-10-01&limit=50" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • successboolean
  • fromstring (date)
  • tostring (date)

    Can be null.

  • itemsarray of object
    15 child fields
    • conversationIdstring
    • mongoIdstring

      Can be null.

    • accountIdstring
    • platformstring
    • participantNamestring

      Can be null.

    • participantUsernamestring

      Can be null.

    • participantPicturestring

      Can be null.

    • lastMessagestring

      Can be null.

    • totalMessagesinteger
    • receivedinteger
    • sentinteger
    • readinteger
    • failedinteger
    • firstMessageAtstring (date-time)
    • lastMessageAtstring (date-time)
  • paginationobject
    • pageinteger
    • limitinteger
    • totalinteger
    • totalPagesinteger
    • hasMoreboolean
200 response
{
  "success": true,
  "from": "2026-10-01",
  "to": "2026-10-01",
  "items": [
    {
      "conversationId": "6e525f3820fc636aa96d2ee9",
      "mongoId": "69a579625d8d26a9e12912c0",
      "accountId": "696e0b682d0a31188e7a2ba9",
      "platform": "instagram",
      "participantName": "Acme",
      "participantUsername": "acme",
      "participantPicture": "string",
      "lastMessage": "Hello from Pozy",
      "totalMessages": 42,
      "received": 1,
      "sent": 1,
      "read": 1,
      "failed": 1,
      "firstMessageAt": "2026-10-02T09:00:00.000Z",
      "lastMessageAt": "2026-10-02T09:00:00.000Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 1,
    "total": 42,
    "totalPages": 42,
    "hasMore": true
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Inbox Analytics